package controllers

import (
	"support-game/models"
	"support-game/utils"
)

/**
* Context 说明
* - 所有 stuct 类型均不是指针
* - 包含内容如下
**/

// initContext 初始化 Context
func (c *BaseController) initContext() {
	c.Context = utils.NewContext(models.DBEngine, nil)
	c.Context.Ready()
}

// initContext 销毁 Context
func (c *BaseController) destroyContext(ok ...bool) {
	if len(ok) == 0 || ok[0] {
		c.Context.DB.Commit()
	} else {
		c.Context.DB.Rollback()
	}

	c.Context.Destroy()
}

func (c *BaseController) DestroyContext() {
	c.destroyContext()
}
