// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"support-game/controllers"
	"support-game/controllers/game"

	"github.com/astaxie/beego"
)

func RouteInit() {
	ns := beego.NewNamespace("api",
		// 解决跨域时 先发送 options 问题
		beego.NSRouter("*", &controllers.BaseController{}, "options:Options"),
		beego.NSRouter("/wechat", &game.SupportController{}, "get:WechatInfo"),
		beego.NSRouter("/game/:gameid/:customerid", &game.SupportController{}, "get:GetGame"),
		beego.NSRouter("/customer/:code", &game.SupportController{}, "get:GetCustomer"),
		beego.NSRouter("/signup/:customerid", &game.SupportController{}, "post:SignUp"),
		beego.NSRouter("/record/:recordid", &game.SupportController{}, "get:GetRecord"),
		beego.NSRouter("/record/:customerid/:gameid", &game.SupportController{}, "post:AddRecord"),
		beego.NSRouter("/support/:customerid/:recordid", &game.SupportController{}, "post:AddSupport"),
		beego.NSRouter("/wechat/jssdk/signature", &game.SupportController{}, "get:GetWxJsSDKSignature"),

		beego.NSRouter("/voting", &game.VotingController{}, "get:List"),
		beego.NSRouter("/voting/:actid", &game.VotingController{}, "get:Activities"),
		beego.NSRouter("/voting/:actid/:memberid", &game.VotingController{}, "get:Detail"),
		beego.NSRouter("/voting/:actid", &game.VotingController{}, "post:Registe"),
		beego.NSRouter("/voting/:actid/:memberid", &game.VotingController{}, "post:Vote"),
	)

	beego.AddNamespace(ns)
}
